Subject: bug#22247: closed (Re: bug#22247: 24.4; ghost mouse pointer)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Dec 2016 20:23:02 +0000

Your bug report

#22247: 24.4; ghost mouse pointer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22247: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22247
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22247: 24.4; ghost mouse pointer
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2016 15:22:21 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

Eli Zaretskii wrote:

> Actually, I think I solved this in the emacs-25 branch for the next
> release.  If you can download and try a snapshot build of Emacs
> 25.0.50, please see if the problem went away.

Closing presumed fixed.

Subject: 24.4; ghost mouse pointer
From: Pierpaolo Bernardi <[email-masked]>
To: [email-masked]
Date: Sat, 26 Dec 2015 16:34:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 24.4.1 (i686-pc-mingw32)
 of 2014-10-24 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.2.9200
Configured using:
 `configure --prefix=/c/usr'

(But also in older versions both of Emacs and of Windows. This is
present since the first time I used Emacs on windows, around 15 years
ago).

I use this function to move the mouse pointer out of my way:

    (defun move-cursor-out ()
      (interactive)
      (set-mouse-position (window-frame (frame-selected-window))
                          (1+ (frame-width))
                          0))

    (global-set-key [f12] 'move-cursor-out)

This works as intended on Unix/X.

On windows, the mouse pointer is moved in the right place, but a ghost
image of the pointer is left behind in the old position *most of the
times* (not always), thus vanifying the purpose of the code.

Thanks!